#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: searx/searx
  # -- image tag
  tag: 1.0.0-211-968b2899
  # -- image pull policy
  pullPolicy: IfNotPresent

searx:
  # -- Specify an existing secret that contains the environment variables
  # required for the application configuration.
  existingSecret:
  # -- External URL where the application is reachable
  baseUrl: "https://searx.DOMAIN"
  # -- Generate a random key used by Morty (Privacy aware web content sanitizer proxy as a service).
  # Example : `openssl rand -base64 24`
  mortyKey: "changeme"

filtron:
  # -- filtron sidecar image repository
  repository: dalf/filtron
  # -- filtron sidecar image tag
  tag: latest
  # -- filtron sidecar image pull policy
  pullPolicy: Always

morty:
  # -- morty sidecar image repository
  repository: dalf/morty
  # -- morty sidecar image tag
  tag: latest
  # -- morty sidecar image pull policy
  pullPolicy: Always

caddy:
  # -- caddy sidecar image repository
  repository: caddy
  # -- caddy sidecar image tag
  tag: 2.2.0-alpine
  # -- caddy sidecar image pull policy
  pullPolicy: IfNotPresent
  # -- caddy sidecar disable auto tls if behind another loadbalancer or ingress
  noTls: false

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 80

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence:
  config:
    enabled: false
